LibreOffice: cppu::ImplHelper2< Ifc1, Ifc2 > Class Template Reference

LibreOffice LibreOffice 6.1 SDK C/C++ API Reference

Classes | Public Member Functions | Protected Member Functions | List of all members
cppu::ImplHelper2< Ifc1, Ifc2 > Class Template Reference

Implementation helper implementing interface css::lang::XTypeProvider and queryInterface(), but no reference counting. More...

`#include <implbase2.hxx>`

Inheritance diagram for cppu::ImplHelper2< Ifc1, Ifc2 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Protected Member Functions
| ~ImplHelper2 () throw ()

## Detailed Description

### template<class Ifc1, class Ifc2>
class cppu::ImplHelper2< Ifc1, Ifc2 >

Implementation helper implementing interface css::lang::XTypeProvider and queryInterface(), but no reference counting.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your base class defines method implementations, acquire(), release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

## ◆ ~ImplHelper2()

template<class Ifc1 , class Ifc2 >

cppu::ImplHelper2< Ifc1, Ifc2 >::~ImplHelper2 | ( |  | ) |
throw | ( |
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Sequence< sal_Int8 > cppu::ImplHelper2< Ifc1, Ifc2 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Sequence< css::uno::Type > cppu::ImplHelper2< Ifc1, Ifc2 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Any cppu::ImplHelper2< Ifc1, Ifc2 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase2.hxx